curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups"
payload = {
"name": "ACME Flooring",
"dba_name": "Floors R Us",
"federal_ein": "112222222",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sic_code": "5713"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ACME Flooring',
dba_name: 'Floors R Us',
federal_ein: '112222222',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sic_code: '5713'
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1557512389,
"dba_name": "Test Corp",
"federal_ein": "112222222",
"id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"modified": 1557512389,
"name": "Test Company",
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"sic_code": "7371",
"version": "6b72d72d-cc99-4df6-8152-7183e824c80c"
}Create Group
Create a new group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Name of the group
"ACME Flooring"
DBA name for the company, if applicable
"Floors R Us"
Federal Employer Identification Number for the company
"112222222"
Unique identifier of the platform or broker organization in Noyo
SIC Code of the group
"5713"
Response
Successful Response - Returns the new Group
The date the record was created
Unique identifier of the record in Noyo
The date the record was last updated
Name of the group
"ACME Flooring"
Current version of the record
DBA name for the company, if applicable
"Floors R Us"
Federal Employer Identification Number for the company
"112222222"
Unique identifier of the platform or broker organization in Noyo
SIC Code of the group
"5713"
Was this page helpful?
